Debian Bug report logs - #612985
gnome-open ignores /desktop/gnome/url-handlers

version graph

Package: libglib2.0-0; Maintainer for libglib2.0-0 is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for libglib2.0-0 is src:glib2.0.

Reported by: Jason Woofenden <jason@jasonwoof.com>

Date: Sat, 12 Feb 2011 03:15:01 UTC

Severity: normal

Merged with 612720, 612876, 613381, 613860, 617723

Found in version glib2.0/2.28.0-1

Fixed in version glib2.0/2.28.0-2

Done: Emilio Pozuelo Monfort <pochu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, gpastore@debian.org (Guilherme de S. Pastore):
Bug#612985; Package gnome-terminal. (Sat, 12 Feb 2011 03:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jason Woofenden <jason@jasonwoof.com>:
New Bug report received and forwarded. Copy sent to gpastore@debian.org (Guilherme de S. Pastore). (Sat, 12 Feb 2011 03:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jason Woofenden <jason@jasonwoof.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnome-terminal: rigt-click -> Open Link opens wrong browser
Date: Fri, 11 Feb 2011 22:10:31 -0500
Package: gnome-terminal
Version: 2.30.2-1
Severity: normal

Recently (in unstable) I'm pretty sure after squeeze was released,
the right-click -> Open Link feature starting calling chromium
instead of the custom browser command I put in System ->
Preferences -> Preferred Applications.

Gnome terminal should obey that setting.

Thanks,   - Jason


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.37-trunk-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnome-terminal depends on:
ii  gnome-terminal-data    2.30.2-1          Data files for the GNOME terminal 
ii  libatk1.0-0            1.30.0-1          The ATK accessibility toolkit
ii  libc6                  2.11.2-11         Embedded GNU C Library: Shared lib
ii  libdbus-glib-1-2       0.88-2.1          simple interprocess messaging syst
ii  libgconf2-4            2.28.1-6          GNOME configuration database syste
ii  libglib2.0-0           2.28.0-1          The GLib library of C routines
ii  libgtk2.0-0            2.20.1-2          The GTK+ graphical user interface 
ii  libice6                2:1.0.7-1         X11 Inter-Client Exchange library
ii  libpango1.0-0          1.28.3-1+squeeze1 Layout and rendering of internatio
ii  libsm6                 2:1.2.0-1         X11 Session Management library
ii  libvte9                1:0.24.3-2        Terminal emulator widget for GTK+ 
ii  libx11-6               2:1.4.1-4         X11 client-side library

Versions of packages gnome-terminal recommends:
ii  gvfs                     1.6.4-3         userspace virtual filesystem - ser
ii  yelp                     2.30.1+webkit-1 Help browser for GNOME

gnome-terminal suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, gpastore@debian.org (Guilherme de S. Pastore):
Bug#612985; Package gnome-terminal. (Sun, 13 Feb 2011 08:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jason Woofenden <jason@jasonwoof.com>:
Extra info received and forwarded to list. Copy sent to gpastore@debian.org (Guilherme de S. Pastore). (Sun, 13 Feb 2011 08:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 612985@bugs.debian.org (full text, mbox):

From: Jason Woofenden <jason@jasonwoof.com>
To: 612985@bugs.debian.org
Cc: control@bugs.debian.org
Subject: gnome-open broken
Date: Sun, 13 Feb 2011 03:39:28 -0500
reassign 612985 libgnome2-0
retitle 612985 gnome-open ignores /desktop/gnome/url-handlers
thanks

Hey devs,

A little experience and poking around has convinced me that I had
mis-assigned this bug.

The basic issue is that my browser preferences are being ignored by
the gnome programs I use. A workaround would be wonderful, as this
issue is hard to live with. Details follow:



I have expressed my browser choice in the following ways:

The ENV var $BROWSER="/home/jasonwoof/bin/default-browser". (This
makes sensible-browser behave as I wish.)

gnome System -> Preferences -> Preferred Applications -> Internet
-> Browser: selected custom, and command set to:
/home/jasonwoof/bin/default-browser "%s"

gconf-editor /desktop/gnome/url-handlers/http/command set to:
/home/jasonwoof/bin/default-browser "%s"

And I rebooted.

The following programs all open /usr/bin/chromium-browser instead
of my browser of choice:

gnome-open
xdg-open
gnome-terminal (right-click -> Open Link)
pidgin
and many others I'm sure


I just noticed today that clicking "mailto:" links in chromium no
longer brings up my e-mail client script that I configured with
Preferred Applications. (or any other e-mail program.) I mention
this in case it'll help you track down the gnome-open issue.

Thank you,   - Jason




Bug reassigned from package 'gnome-terminal' to 'libgnome2-0'. Request was from Jason Woofenden <jason@jasonwoof.com> to control@bugs.debian.org. (Sun, 13 Feb 2011 08:42:05 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions gnome-terminal/2.30.2-1. Request was from Jason Woofenden <jason@jasonwoof.com> to control@bugs.debian.org. (Sun, 13 Feb 2011 08:42:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'gnome-open ignores /desktop/gnome/url-handlers' from 'gnome-terminal: rigt-click -> Open Link opens wrong browser' Request was from Jason Woofenden <jason@jasonwoof.com> to control@bugs.debian.org. (Sun, 13 Feb 2011 08:42:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#612985; Package libgnome2-0. (Mon, 14 Feb 2011 11:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jason Woofenden <jason@jasonwoof.com>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Mon, 14 Feb 2011 11:45:03 GMT) Full text and rfc822 format available.

Message #21 received at 612985@bugs.debian.org (full text, mbox):

From: Jason Woofenden <jason@jasonwoof.com>
To: 612985@bugs.debian.org
Subject: making progress in figuring it
Date: Mon, 14 Feb 2011 06:41:49 -0500
Hi again,

Here's some more details of things I've tried:

I went to the gnome Preferred Applications and flipped the browser
from my custom command to iceweasel. No dice, all links still open
in chromium.

I tried update-alternatives --config gnome-www-browser (setting it
to iceweasel) and even update-alternatives --config x-www-browser
(setting it to midori)

and still, all links open in chromium.


OK, after strace and lots of digging and googling, I've discovered
that gnome will obey the settings in
$XDG_DATA_HOME/applications/mimeapps.list

Wahoo!


I also realized that I did a really bad job setting my XDG env
vars, so some programs (like gnome panel, and the few programs I
launched from it) were running without them set. I've rectified
that. And still Preferred Applications seems to have little effect.

But I've found something that does!

So perhaps what needs to happen is that the Preferred Applications
panel needs to update $XDG_DATA_HOME/applications/mimeapps.list?

And what of the protocol handlers in gconf? Are those obsolete now?

Thanks,    - Jason




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#612985; Package libgnome2-0. (Tue, 15 Feb 2011 18:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@dannf.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Tue, 15 Feb 2011 18:24:05 GMT) Full text and rfc822 format available.

Message #26 received at 612985@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@dannf.org>
To: 612985@bugs.debian.org
Subject: me too
Date: Tue, 15 Feb 2011 11:21:12 -0700
Just to confirm, I'm seeing this too. I naively made the following
change to force my system back to using iceweasel by default instead:

--- /tmp/mimeinfo.cache	2011-02-15 11:19:18.482976456 -0700
+++ /usr/share/applications/mimeinfo.cache	2011-02-15 11:18:58.499311306 -0700
@@ -383,7 +383,7 @@
 image/x-drf=shotwell-viewer.desktop
 image/x-pxn=shotwell-viewer.desktop
 audio/x-basic=xine.desktop
-x-scheme-handler/http=chromium-browser.desktop
+x-scheme-handler/http=iceweasel.desktop;chromium-browser.desktop
 application/x-mplayer2=xine.desktop
 image/x-sony-sr2=shotwell-viewer.desktop
 image/vnd.wap.wbmp=eog.desktop





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#612985; Package libgnome2-0. (Wed, 16 Feb 2011 08:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. (Wed, 16 Feb 2011 08:48:05 GMT) Full text and rfc822 format available.

Message #31 received at 612985@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: dann frazier <dannf@dannf.org>, 612985@bugs.debian.org
Cc: Jason Woofenden <jason@jasonwoof.com>
Subject: Re: Bug#612985: me too
Date: Wed, 16 Feb 2011 09:46:14 +0100
reassign 612985 libglib2.0-0
forcemerge 613381 612985
thanks

Le mardi 15 février 2011 à 11:21 -0700, dann frazier a écrit : 
> Just to confirm, I'm seeing this too. I naively made the following
> change to force my system back to using iceweasel by default instead:

For the record, the workaround is to set this in your
~/.local/share/applications/defaults.list or /etc/gnome/defaults.list :

x-scheme-handler/http=iceweasel.desktop
x-scheme-handler/https=iceweasel.desktop

Cheers,
-- 
 .''`.
: :' :     “You would need to ask a lawyer if you don't know
`. `'       that a handshake of course makes a valid contract.”
  `-        --  J???rg Schilling





Bug reassigned from package 'libgnome2-0' to 'libglib2.0-0'. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Wed, 16 Feb 2011 08:48:07 GMT) Full text and rfc822 format available.

Forcibly Merged 612985 613381. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Wed, 16 Feb 2011 08:48:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Loic Minier <lool@dooz.org>:
Bug#612985; Package libglib2.0-0. (Thu, 17 Feb 2011 11:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benjamin Cama <benoar@free.fr>:
Extra info received and forwarded to list. Copy sent to Loic Minier <lool@dooz.org>. (Thu, 17 Feb 2011 11:21:09 GMT) Full text and rfc822 format available.

Message #40 received at 612985@bugs.debian.org (full text, mbox):

From: Benjamin Cama <benoar@free.fr>
To: 612985@bugs.debian.org
Subject: Partially bad workaround
Date: Thu, 17 Feb 2011 12:16:45 +0100
Hi,

Modifying ~/.local/share/applications/defaults.list doesn't work here
(and I don't see any other place where it could be overridden). But
changing /etc/gnome/defaults.list works; even if I find it not optimal
as I would like to only change the default browser for me, not
system-wide.

Regards,
Benjamin





Information forwarded to debian-bugs-dist@lists.debian.org, Loic Minier <lool@dooz.org>:
Bug#612985; Package libglib2.0-0. (Fri, 18 Feb 2011 14:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Itaï BEN YAACOV <candeb@free.fr>:
Extra info received and forwarded to list. Copy sent to Loic Minier <lool@dooz.org>. (Fri, 18 Feb 2011 14:21:07 GMT) Full text and rfc822 format available.

Message #45 received at 612985@bugs.debian.org (full text, mbox):

From: Itaï BEN YAACOV <candeb@free.fr>
To: Debian Bug Tracking System <612985@bugs.debian.org>
Subject: libglib2.0-0: glib 2.28 and g_file_query_default_handler
Date: Fri, 18 Feb 2011 14:44:55 +0100
Package: libglib2.0-0
Version: 2.28.0-1
Severity: normal

My two bits of extra info.
First, this is clearly a problem in 2.28.0, downgrading to 2.24
(from squeeze) solves the issue.  Looking bit deeper in
gvfs-open, the problem is in g_file_query_default_handler.

Now here is an extra bit which I haven't seen reported yet.
Assume I launch

gvfs-open http://www.google.fr

Then it runs iceweasel (default - no other browsers installed)
correctly, even though I configured a personalised script, as in
earlier reports, whcih is annoying.  However, lauching :

gvfs-open http://www.ingdirect.fr

I get

gvfs-open : http://www.ingdirect.fr : erreur d'ouverture d'un emplacement : Erreur HTTP : Connection terminated unexpectedly

Going back to gvfs-open, our problematic g_file_query_default_handler
simply returns NULL.  Clicking on the same link from, say, evolution,
has the funnier effect of putting evolution in an infinite loop.

I did not venture to debug g_file_query_default_handler...

All the best,
I.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (600, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.37-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libglib2.0-0 depends on:
ii  libc6                   2.11.2-11        Embedded GNU C Library: Shared lib
ii  libpcre3                8.12-2           Perl 5 Compatible Regular Expressi
ii  libselinux1             2.0.96-1         SELinux runtime shared libraries
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages libglib2.0-0 recommends:
ii  libglib2.0-data               2.28.0-1   Common files for GLib library
ii  shared-mime-info              0.90-1     FreeDesktop.org shared MIME databa

libglib2.0-0 suggests no packages.

-- debconf-show failed




Forcibly Merged 612876 612985 613381. Request was from Giuseppe Iuculano <giuseppe@iuculano.it> to control@bugs.debian.org. (Fri, 18 Feb 2011 16:57:10 GMT) Full text and rfc822 format available.

Forcibly Merged 612720 612876 612985 613381. Request was from Emilio Pozuelo Monfort <pochu@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:20:30 GMT) Full text and rfc822 format available.

Forcibly Merged 612720 612876 612985 613381 613860. Request was from Emilio Pozuelo Monfort <pochu@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 20:03:06 GMT) Full text and rfc822 format available.

Forcibly Merged 612720 612876 612985 613381 613860 617723. Request was from "Giuseppe Iuculano" <giuseppe@sd6-mobile.iuculano.it> to control@bugs.debian.org. (Fri, 11 Mar 2011 14:27:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 09 Apr 2011 07:45:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 08:04:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.